<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'detail';
$subbox = array(
        "module" => 'team',
        "sub" => $sub
);

if (!defined('REWRITE')) {
    $_CUR = 'team';
    require (dirname(__FILE__) . '/include/init.php');
}
$smarty->assign('cur', $_CUR);
$smarty->assign('url', $_URL = $dou->dou_sub_url($subbox));

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : ($_REQUEST['id'] ? 'detail' : 'default');

// 赋值给模板-meta和title信息
$smarty->assign('keywords', $_CFG['site_keywords']);
$smarty->assign('description', $_CFG['site_description']);

// 赋值给模板-导航栏
$smarty->assign('nav_top_list', $dou->get_nav('top'));
$smarty->assign('nav_middle_list', $dou->get_nav('middle', 0, 'team', 0));
$smarty->assign('nav_bottom_list', $dou->get_nav('bottom'));

// 赋值给模板-数据
$smarty->assign('rec', $rec);

/**
 * +----------------------------------------------------------
 * 团队列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 团队分组
    if (isset($_REQUEST['class'])) {
        $class = !$check->is_illegal_char($_REQUEST['class']) ? trim($_REQUEST['class']) : $dou->dou_msg($GLOBALS['_LANG']['illegal'], ROOT_URL);
     
        if ($class) {
            $where = " WHERE class = '$class'";
            $get = "?class=$class";
        }
    }
 
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('team') . $where . " ORDER BY sort ASC, id DESC";

    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, ($_DISPLAY['team'] ? $_DISPLAY['team'] : 12), $page, $dou->rewrite_url('team'), $get);

    /* 获取团队列表 */
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        // 多语言
        $row = $dou->lang_box($row, 'team', 'name, class, content, description');
        
        // 如果描述不存在则自动从详细介绍中截取
        $description = $row['description'] ? $row['description'] : $dou->dou_substr($row['content'], 200, false);

        $team_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "class" => $row['class'],
                "image" => $dou->dou_file($row['image']),
                "description" => $description,
                "url" => $dou->rewrite_url('team', $row['id'])
        );
    }
 
    // 赋值给模板-数据
    $smarty->assign('page_title', $dou->page_title('team'));
    $smarty->assign('ur_here', $dou->ur_here('team'));
    $smarty->assign('team_list', $team_list);
    $smarty->assign('class', $class);
    $smarty->assign('screen', $screen = $dou->get_no_repeat_value('team', 'class', $class));

    $smarty->display('team.dwt');
}

/**
 * +----------------------------------------------------------
 * 团队简介
 * +----------------------------------------------------------
 */
if ($rec == 'detail') {
    // 获取ID
    $id = $check->is_number($_REQUEST['id']) ? trim($_REQUEST['id']) : '';
    
    /* 获取详细信息 */
    $team = $dou->get_row('team', '*', "id = '$id'");
    if (!$team) $dou->dou_msg('page_wrong', HOME_URL);
 
    // 格式化数据
    $team['image'] = $dou->dou_file($team['image']);

    // 多语言
    $team = $dou->lang_box($team, 'team', 'name, content, keywords, description');
 
    // 格式化自定义参数
    foreach (explode(',', $team['defined']) as $row) {
        $row = explode('：', str_replace(":", "：", $row));

        if ($row['1']) {
            $defined[] = array (
                    "arr" => $row['0'],
                    "value" => $row['1'] 
            );
        }
    }

    // 访问统计
    $click = $team['click'] + 1;
    $dou->query("update " . $dou->table('team') . " SET click = '$click' WHERE id = '$id'");

    // 赋值给模板-数据
    $smarty->assign('page_title', $dou->page_title('team', 'team_info'));
    $smarty->assign('ur_here', $dou->ur_here('team', 'team_info'));
    $smarty->assign('team', $team);
    $smarty->assign('defined', $defined);

    $smarty->display('team.dwt');
}
?>